---
updatedAt: 2026-05-28T15:20:02.000Z
agentTools:
  projectIndex: https://apidocs.klipfolio.com/llms.txt
---

# Groups

Manage groups for accounts or client accounts.

## GET /groups

|              |                                                                                   |
| :----------- | :-------------------------------------------------------------------------------- |
| Description  | Get the details for all groups in the company or client account.                  |
| Resource URL | <https://app.klipfolio.com/api/1.0/groups>                                        |
| Parameters   | optional: client\_id (string) — show only groups that belong to a specific client |

## Example Request

```Text Groups
GET https://app.klipfolio.com/api/1/groups
```
```Text Client Groups
GET https://app.klipfolio.com/api/1/groups?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
"meta": {
   "status": 200,
   "success": true
},
"data":{
"groups":[
            {
                "id": "42c1accfbcfd54d44029ee5199805a9y",
                "name": "All Users",
                "description": "All of the users in your company"
            },
            {
                "id": "2e21abc434a5169f9890576ec4d8e333",
                "name": "Internal",
                "description": "For access to client accounts"
            }
       ]
   }
}
```

## GET /groups/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Get the details for the specific group in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        group id  
        full (true/false) — include associations in the listing (members)  
        optional: client_id (string) — show only groups that belong to a specific client. If using Client id, the Group Id must belong to the client
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Group by Id
GET https://app.klipfolio.com/api/1/groups/42c1abcdefgh54d44029ee5199111c2b
```
```Text Group by Id, Full details
GET https://app.klipfolio.com/api/1/groups/42c1abcdefgh54d44029ee5199111c2b?full=true'
```
```Text Group by Id for Client
GET https://app.klipfolio.com/api/1/groups/9876abcdefgh54d44029ee5199111c2b?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {
    "id": "42c1accfbcfd54d44029ee5199805a9y",
    "external_id": "group_api",
    "company": "Self",
    "name": "APIGroup",
    "description": "Updated group",
    "num_members": 1,
    "members": [
      {
        "id": "2e21abc434a5169f9890576ec4d8e333",
        "full_name": "Jane Doe"
      }
    ]
  }
}


```

## POST /groups

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Create a new group in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/groups](https://app.klipfolio.com/api/1.0/groups)
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        name, description  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Create Group
POST https://app.klipfolio.com/api/1/groups -d {'name':'New Group', 'description':'A brand new group'}
```
```Text Create Client Group
POST https://app.klipfolio.com/api/1/groups -d {'name':'New Client Group', 'description':'A brand new group in client account', 'client_id':'0123456789abcdef0123456789abcdef'}
```

## Example Response

```
{
"meta": {
   "success": true,
   "status": 201,
   "location": "/groups/0932d8270fb840f102d542331f200aca"
}
}
```

## PUT /groups/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Update the specified group in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/groups/\{id}](https://app.klipfolio.com/api/1.0/groups/\{id})
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        group id  
        name, description  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Update Group
PUT https://app.klipfolio.com/api/1/groups/012345678998745641asfd -d {'description':'Updated Description'}
```
```Text Update Client Group
PUT https://app.klipfolio.com/api/1/groups/012345678998745641asfd -d {'description':'Updated client group', 'client_id':'0123456789abcdef0123456789abcdef'}
```

## Example Response

```
{
"meta": {
   "status": 200,
   "success": true
}
}
```

## DELETE /groups/\{id}

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>

      </th>

      <th>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Description
      </td>

      <td>
        Delete a group in the company or client account.
      </td>
    </tr>

    <tr>
      <td>
        Permissions
      </td>

      <td>
        user.manage
      </td>
    </tr>

    <tr>
      <td>
        Resource URL
      </td>

      <td>
        [https://app.klipfolio.com/api/1.0/groups/\{id}](https://app.klipfolio.com/api/1.0/groups/\{id})
      </td>
    </tr>

    <tr>
      <td>
        Parameters
      </td>

      <td>
        group id  
        optional: client_id
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```Text Delete Group
DELETE https://app.klipfolio.com/api/1/groups/0987654321qwer
```
```Text Delete Client Group
DELETE https://app.klipfolio.com/api/1/groups/0987654321qwer?client_id=0123456789abcdef0123456789abcdef
```

## Example Response

```
{
"meta": {
      "status": 200,
      "success": true
  }
}
```